Relative Adjustment
Add or subtract inventory for an inventory item at a location. Use this endpoint only when you do not know absolute quantities. For example, making order-related inventory changes through a third-party may require relative adjustments. Otherwise, use the Absolute adjustment endpoint for updating inventory.
Limits
- For maximum inventory levels, see Inventory adjustments.
- Limit of 2000 items for payload length, see Optimizing performance for more information.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
items
One of the sku, product_id, or variant_id is required to identify the item.
reason
Reason for the adjustment operation.
Response
Request has been successfully processed.
transaction_id
Unique identifier of performed action.
Errors
422
Unprocessable Entity Error